//
//  MyTextField.h
//  DragPathForPascal
//
//  Created by Cyril Godefroy on Sat Feb 23 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

@interface myView : NSView {
    NSString *name;
    NSMutableString *droppedOn;
	NSMutableArray *droppedFiles;

    NSImage *folder;
    NSImage *well;

    int state;
}

- (void)setup:(NSString *)nameS;
- (unsigned int)draggingEntered:(id <NSDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender;
- (void)concludeDragOperation:(id <NSDraggingInfo>)sender;
- (BOOL)prepareForDragOperation:(id <NSDraggingInfo>)sender;

- (NSMutableArray *)theDroppedFiles;

- (void)drawRect:(NSRect)rect;
- (BOOL)droppedOnEmpty;
- (NSString *)path;
- (void) dealloc;
@end
