/* controller */

#import "myView.h"
#import "manualView.h"

@interface myWindow : NSWindow
{
    myView *sourceView;
    myView *destinationView;
    myView *copyrightView;
	
	manualView *manualMode;

	IBOutlet NSScrollView *scrollView;
	IBOutlet NSMatrix *locationChoice;
	IBOutlet NSMatrix *resizeChoice;
    IBOutlet NSSlider *transparecySlider;
    IBOutlet NSWindow *progressWindow;
	IBOutlet NSWindow *preferencesWindow;
	IBOutlet NSTextField *preferencesField;
	IBOutlet NSTextField *resizeX;
	IBOutlet NSTextField *resizeY;
	IBOutlet NSTextField *resizePercent;
    IBOutlet NSProgressIndicator *progressIndicator;

    int shouldContinue;
}

- (void)awakeFromNib;
- (IBAction)go:(id)sender;
- (void)processImage: (NSString *)theImage :(NSImage *)copyrightImage: (BOOL) completeString;
- (IBAction)cancel:(id)sender;
- (IBAction)cancelPrefencesWindow:(id)sender;
- (IBAction)savePrefencesWindow:(id)sender;
- (IBAction)openPrefencesWindow:(id)sender;
- (BOOL) applicationShouldTerminateAfterLastWindowClosed:(NSApplication *) theApplication;
- (void) dealloc;
@end
